IncidentsEdit overview

Edit overview

Needs: Incidents, Read-write

Edits the title and description. Send at least one.

curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123/overview" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "title": "Fall in the kitchen (wet floor)"
}'
{
  "updated": 12,
  "kind": "incident"
}
PATCH
/incidents/{id}/overview
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The incident id.

Content-Typestring
Required

The media type of the request body

Options: application/json
titlestring

The new title. Cannot be empty.

descriptionstring

Replaces the description. Plain text or simple HTML.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The incident id.

Body

application/json
titlestring

The new title. Cannot be empty.

descriptionstring

Replaces the description. Plain text or simple HTML.

Responses

OK